package com.foreverwin.mesnac.production.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.production.dto.WorkShopTransferDto;
import com.foreverwin.mesnac.production.model.WorkShopTransfer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 车间转移记录 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-30
 */
public interface WorkShopTransferService extends IService<WorkShopTransfer> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<WorkShopTransfer> selectPage(FrontPage<WorkShopTransfer> frontPage, WorkShopTransfer workShopTransfer);

    List<WorkShopTransfer> selectList(WorkShopTransfer workShopTransfer);

    WorkShopTransfer sfcEnter(String sfc,String type);

    List<WorkShopTransferDto> getOutList(WorkShopTransferDto workShopTransferDto);

    List<WorkShopTransferDto> getInList(WorkShopTransferDto workShopTransferDto);

    List<WorkShopTransferDto> transferOut(String sfcs);

    void transferIn(List<String> handleList);

}